[Bug 25468] New: SWIG wrappers fail to compile with "-Werror=format-security"

Bug ID 25468
Summary SWIG wrappers fail to compile with “-Werror=format-security”
Product lldb
Version unspecified
Hardware All
OS All
Status NEW
Severity normal
Priority P
Component All Bugs
Assignee lldb-dev@lists.llvm.org
Reporter axwalk@gmail.com
CC llvm-bugs@lists.llvm.org
Classification Unclassified

I'm trying to build Debian packages for LLVM+Clang+LLDB+compiler-rt locally,
and I'm getting an error building LLDB.

cd /home/andrew/code/src/llvm.org/llvm/build-llvm/tools/lldb/source/API &&
/usr/bin/g++-4.9   -DGTEST_HAS_RTTI=0 -DHAVE_PROCESS_VM_READV -DHAVE_ROUND
-DLIBXML2_DEFINED -D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS
-D__STDC_LIMIT_MACROS -g -O2 -fstack-protector-strong -Wformat
-Werror=format-security  -fPIC -fvisibility-inlines-hidden -Wall -W
-Wno-unused-parameter -Wwrite-strings -Wcast-qual
-Wno-missing-field-initializers -pedantic -Wno-long-long
-Wno-maybe-uninitialized -Wno-comment -std=c++11 -Wno-deprecated-declarations
-Wno-unknown-pragmas -Wno-strict-aliasing -Wno-deprecated-register
-Wno-vla-extension  -fno-exceptions -fno-rtti -fPIC -fPIC -g -fPIC
-I/home/andrew/code/src/llvm.org/llvm/build-llvm/tools/lldb/source/API
-I/home/andrew/code/src/llvm.org/llvm/tools/lldb/source/API
-I/home/andrew/code/src/llvm.org/llvm/tools/lldb/include
-I/home/andrew/code/src/llvm.org/llvm/build-llvm/tools/lldb/include
-I/home/andrew/code/src/llvm.org/llvm/build-llvm/include
-I/home/andrew/code/src/llvm.org/llvm/include -I/usr/include/python2.7
-I/home/andrew/code/src/llvm.org/llvm/tools/clang/include
-I/home/andrew/code/src/llvm.org/llvm/build-llvm/tools/lldb/../clang/include
-I/usr/include/libxml2
-I/home/andrew/code/src/llvm.org/llvm/tools/lldb/source/.
-I/home/andrew/code/src/llvm.org/llvm/tools/lldb/source/Plugins/Process/Linux
-I/home/andrew/code/src/llvm.org/llvm/tools/lldb/source/Plugins/Process/POSIX  
  -fno-exceptions -fno-rtti  -Wno-sequence-point -Wno-cast-qual -o
CMakeFiles/liblldb.dir/__/__/scripts/LLDBWrapPython.cpp.o -c
/home/andrew/code/src/llvm.org/llvm/build-llvm/tools/lldb/scripts/LLDBWrapPython.cpp
/home/andrew/code/src/llvm.org/llvm/build-llvm/tools/lldb/scripts/LLDBWrapPython.cpp:
In function ‘PyObject*
_wrap_SBError_SetErrorStringWithFormat__SWIG_3(PyObject*, PyObject*)’:
/home/andrew/code/src/llvm.org/llvm/build-llvm/tools/lldb/scripts/LLDBWrapPython.cpp:21230:70:
error: format not a string literal and no format arguments
[-Werror=format-security]
     result = (int)(arg1)->SetErrorStringWithFormat((char const *)arg2);
                                                                      ^
At global scope:
cc1plus: warning: unrecognized command line option "-Wno-vla-extension"
cc1plus: warning: unrecognized command line option "-Wno-deprecated-register"
cc1plus: some warnings being treated as errors
tools/lldb/source/API/CMakeFiles/liblldb.dir/build.make:1414: recipe for target
'tools/lldb/source/API/CMakeFiles/liblldb.dir/__/__/scripts/LLDBWrapPython.cpp.o'
failed